View Issue Details

IDProjectCategoryView StatusLast Update
0001543SymmetricDSBugpublic2014-02-05 10:08
ReporterelongAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.3.0 
Target Version3.5.16Fixed in Version3.5.16 
Summary0001543: Upgrade of schema from 3.3 to 3.5 on H2 fails
DescriptionCannot upgrade from SymmetricDS 3.3 to 3.5 with H2 database because the alteration of runtime tables is not successful.

[server] - H2SymmetricDialect - Error removing SYM_ON_I_FOR_SYM_CNSL_SR_SRVR : Syntax error in SQL statement "DROP TABLE IF EXISTS SYM_ON_I_FOR_SYM_CNSL_SR_SRVR _CONFIG"; SQL statement:
DROP TABLE IF EXISTS SYM_ON_I_FOR_SYM_CNSL_SR_SRVR _CONFIG [42000-164]

[server] - TriggerRouterService - Failed to create triggers for sym_node_identity
org.jumpmind.db.sql.SqlException: NULL not allowed for column "NAME_FOR_UPDATE_TRIGGER"; SQL statement:
insert into sym_trigger_hist (trigger_id,source_table_name,table_hash,create_time,column_names,pk_column_names,last_trigger_build_reason,name_for_delete_trigger,name_for_insert_trigger,name_for_update_trigger,source_schema_name,source_catalog_name,trigger_row_hash,trigger_template_hash,error_message) values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?) [23502-164]
    at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:288)
    at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:279)
    at org.jumpmind.db.sql.JdbcSqlTemplate.execute(JdbcSqlTemplate.java:417)
    at org.jumpmind.db.sql.JdbcSqlTemplate.update(JdbcSqlTemplate.java:285)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.insert(TriggerRouterService.java:813)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.rebuildTriggerIfNecessary(TriggerRouterService.java:1507)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.updateOrCreateDatabaseTriggers(TriggerRouterService.java:1389)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.updateOrCreateDatabaseTrigger(TriggerRouterService.java:1268)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.updateOrCreateDatabaseTriggers(TriggerRouterService.java:1258)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.syncTriggers(TriggerRouterService.java:1037)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.syncTriggers(TriggerRouterService.java:988)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.syncTriggers(TriggerRouterService.java:984)
    at org.jumpmind.symmetric.AbstractSymmetricEngine.start(AbstractSymmetricEngine.java:504)
    at org.jumpmind.symmetric.AbstractSymmetricEngine.start(AbstractSymmetricEngine.java:487)
    at org.jumpmind.symmetric.web.SymmetricEngineHolder$EngineStarter.run(SymmetricEngineHolder.java:428)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 1d0dcd10

2014-01-23 19:30:06

chenson

Details Diff
0001543: Upgrade of schema from 3.3 to 3.5 on H2 fails
0001543
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/h2/H2DdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2014-01-22 14:18 elong New Issue
2014-01-22 14:18 elong Status new => assigned
2014-01-22 14:18 elong Assigned To => chenson
2014-01-23 19:30 chenson Status assigned => resolved
2014-01-23 19:30 chenson Fixed in Version => 3.5.16
2014-01-23 19:30 chenson Resolution open => fixed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7890
2014-02-05 10:08 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 1d0dcd10